<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Login</title>
	<link rel="icon" type="text/css" href="../img/icono.png">
	<link rel="stylesheet" type="text/css" href="../src/bootstrap-5.1.3-dist/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="../src/bootstrap-icons-1.8.1/bootstrap-icons.css">
	<link rel="stylesheet" type="text/css" href="../css/styles.css">
	<script type="text/javascript" src="../src/bootstrap-5.1.3-dist/js/bootstrap.min.js"></script>
</head>
<body style="background: linear-gradient(90deg, rgba(180,86,230,1) 16%, rgba(230,86,205,1) 59%);">
<div class="container">
	<div class="row" style="margin-top: 32vh">
		<div class="col"></div>
		<div class="col-sm-12 col-md-6 text-center">
			<div class="card">
				<div class="card-body">
					<img src="../img/logo.png" width="200px">
					<h5>Login</h5>
					<form class="form" id="formLogin">
						<div class="form-floating mt-3 mb-3">
						  <input type="text" class="form-control" id="floatingInput" name="usuario">
						  <label for="floatingInput">Usuario</label>
						</div>
						<div class="form-floating mb-3">
						  <input type="password" class="form-control" id="floatingPassword" name="password">
						  <label for="floatingPassword">Password</label>
						</div>
						<div class="mb-3" id="loginMessages">
						</div>
						<button type="submit" class="btn btn-outline-success" id="btnLogin">Iniciar sesión</button>
					</form>
				</div>
			</div>
		</div>
		<div class="col"></div>
	</div>

</div>
<script type="text/javascript" src="../src/jquery-3.6.0/jquery-3.6.0.min.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		validarSesion();
	});
	function validarSesion(){
		$.get('functions/ValidarSesion.php', function(data, textStatus, xhr) {
			let response = JSON.parse(data);
			if (response.codigoRespuesta == 0) {
				location.href = "home.html";
			}
		});
	}
	$("#formLogin").submit(function(event) {
		$.post('functions/IniciarSesion.php', $("#formLogin").serialize(), function(data, textStatus, xhr) {
			let response = JSON.parse(data);
			if (response.codigoRespuesta == 0) {
				$("#loginMessages").html(`<div class="text-left text-success">¡Iniciando sesión...!</div>`);
				location.href = 'home.html';
			}else if(response.codigoRespuesta == 1) {
				$("#loginMessages").html(`<div class="text-left text-danger">¡${response.mensajeRespuesta}!</div>`);
			}else if(response.codigoRespuesta == 2) {
				$("#loginMessages").html(`<div class="text-left text-danger">${response.mensajeRespuesta}</div>`);
				$("#loginMessages").append(`<div class="text-left text-danger">Intentos restantes: ${response.cantidadIntentos}</div>`);
			}else{
				$("#loginMessages").html(`<div class="text-left text-danger">${response.mensajeRespuesta}</div>`);
			}
			
		});
		event.preventDefault();
	});

</script>
</body>
</html>